#! /usr/bin/env python3
# encoding: utf-8

# --------------------------------------------------

def boolean(arg):
	"""
	Converts
	- "True", "true" or "1" ⇒ True
	- "False", "false" or "0" ⇒ False
	
	@while converting argument to bool
	"""
	
	if arg in (True, "True", "true", "1"):
		return True
	elif arg in (False, "False", "false", "0"):
		return False
	else:
		raise ValueError(arg)

def booleans(*args):
	"""
	Converts each
	- "True", "true" or "1" ⇒ True
	- "False", "false" or "0" ⇒ False
	
	@while converting arguments to bools
	"""
	
	out = []
	
	for arg in args:
		out.append(boolean(arg))
	
	return out

def strings(*args):
	"""
	Converts each element to str.
	
	@while converting arguments to strings
	"""
	
	out = []
	
	for arg in args:
		out.append(str(arg))
	
	return out
